- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QSqlRecord Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qsqlrecord.h.

`#include <qsqlrecord.h>`

Inheritance diagram for QSqlRecord:
[legend]

List of all members.

## Public Member Functions
| QSqlRecord ()
| QSqlRecord (const QSqlRecord &other)
QSqlRecord & | operator= (const QSqlRecord &other)
| ~QSqlRecord ()
bool | operator== (const QSqlRecord &other) const
bool | operator!= (const QSqlRecord &other) const
QVariant | value (int i) const
QVariant | value (const QString &name) const
void | setValue (int i, const QVariant &val)
void | setValue (const QString &name, const QVariant &val)
void | setNull (int i)
void | setNull (const QString &name)
bool | isNull (int i) const
bool | isNull (const QString &name) const
int | indexOf (const QString &name) const
QString | fieldName (int i) const
QSqlField | field (int i) const
QSqlField | field (const QString &name) const
bool | isGenerated (int i) const
bool | isGenerated (const QString &name) const
void | setGenerated (const QString &name, bool generated)
void | setGenerated (int i, bool generated)
void | append (const QSqlField &field)
void | replace (int pos, const QSqlField &field)
void | insert (int pos, const QSqlField &field)
void | remove (int pos)
bool | isEmpty () const
bool | contains (const QString &name) const
void | clear ()
void | clearValues ()
int | count () const

## Constructor & Destructor Documentation

QSqlRecord | ( |  | ) |

QSqlRecord | ( | const QSqlRecord & | other | ) |

~QSqlRecord | ( |  | ) |

## Member Function Documentation

QSqlRecord& operator= | ( | const QSqlRecord & | other | ) |

bool operator== | ( | const QSqlRecord & | other | ) | const

bool operator!= | ( | const QSqlRecord & | other | ) | const `[inline]`

Definition at line 67 of file qsqlrecord.h.

    { return !operator==(other); }

QVariant value | ( | int | i | ) | const

Search for all occurrences

QVariant value | ( | const QString & | name | ) | const

Search for all occurrences

void setValue | ( | int | i,
|  | const QVariant & | val
| ) |  |

Search for all occurrences

void setValue | ( | const QString & | name,
|  | const QVariant & | val
| ) |  |

Search for all occurrences

void setNull | ( | int | i | ) |

Search for all occurrences

void setNull | ( | const QString & | name | ) |

Search for all occurrences

bool isNull | ( | int | i | ) | const

Search for all occurrences

bool isNull | ( | const QString & | name | ) | const

Search for all occurrences

int indexOf | ( | const QString & | name | ) | const

Search for all occurrences

QString fieldName | ( | int | i | ) | const

Search for all occurrences

QSqlField field | ( | int | i | ) | const

Search for all occurrences

QSqlField field | ( | const QString & | name | ) | const

Search for all occurrences

bool isGenerated | ( | int | i | ) | const

Search for all occurrences

bool isGenerated | ( | const QString & | name | ) | const

Search for all occurrences

void setGenerated | ( | const QString & | name,
|  | bool | generated
| ) |  |

Search for all occurrences

void setGenerated | ( | int | i,
|  | bool | generated
| ) |  |

Search for all occurrences

void append | ( | const QSqlField & | field | ) |

Search for all occurrences

Reimplemented in QSqlIndex.

void replace | ( | int | pos,
|  | const QSqlField & | field
| ) |  |

Search for all occurrences

void insert | ( | int | pos,
|  | const QSqlField & | field
| ) |  |

Search for all occurrences

void remove | ( | int | pos | ) |

Search for all occurrences

bool isEmpty | ( |  | ) | const

Search for all occurrences

bool contains | ( | const QString & | name | ) | const

Search for all occurrences

void clear | ( |  | ) |

Search for all occurrences

void clearValues | ( |  | ) |

Search for all occurrences

int count | ( |  | ) | const

Search for all occurrences

The documentation for this class was generated from the following file:

- QtSql/qsqlrecord.h

QSqlRecord QSqlRecord QSqlRecord QSqlRecord QSqlRecord QSqlRecord QSqlRecord QSqlRecord QSqlRecord QSqlRecord
QSqlRecord QSqlRecord QSqlRecord QSqlRecord QSqlRecord QSqlRecord QSqlRecord QSqlRecord QSqlRecord QSqlRecord